www.cendio.com
Bug 6041 - Upgrade openssh to latest version
: Upgrade openssh to latest version
Status: CLOSED FIXED
: ThinLinc
Build system
: trunk
: PC Unknown
: P2 Normal
: 4.8.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2016-10-05 10:06 by
Modified: 2017-04-06 14:37 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2016-10-05 10:06:30
OpenSSH: using 7.2p2, latest is 7.3p1

http://ftp.eu.openbsd.org/pub/OpenBSD/OpenSSH/portable/?C=M;O=D
------- Comment #4 From cendio 2016-11-18 15:33:59 -------
Test progress:

 ✓ Windows 10
 ✓ OS X 10.11

Apart from just logging in to a ThinLinc session, I've been testing local
drives, smart card redirection, password authentication and smart card
authentication.
------- Comment #5 From cendio 2016-11-21 10:36:29 -------
Linux x86_64 client build 5297 tested:

  ✓ OTP
  ✓ Password
  ✓ Pubkey auth
  ✓ Smartcard auth and redirection
  ✓ Locald drive redirection

No problems found.
------- Comment #6 From cendio 2016-11-21 11:03:31 -------
Linux armhf client build 5297 tested on eltex client:

  ✓ OTP
  ✓ Password
  ✓ Pubkey auth
  ✓ Smartcard auth and redirection
  ✓ Locald drive redirection

No problems found.
------- Comment #7 From cendio 2016-11-21 11:21:21 -------
Linux armel client build 5297 tested on igel client:

  ✓ OTP
  ✓ Password
  ✓ Pubkey auth
  ✓ Smartcard auth and redirection
  ✓ Locald drive redirection

No problems found.
------- Comment #8 From cendio 2016-11-21 14:31:17 -------
Linux armel client build 5297 tested on HP t610 client:

  ✓ OTP
  ✓ Password
  ✓ Pubkey auth
  ✓ Smartcard auth and redirection
  ✓ Locald drive redirection

No problems found.
------- Comment #9 From cendio 2017-03-30 12:22:57 -------
You can no longer connect using a Turkish locale. This is what the log says:

> 2017-03-30T12:21:13: SSH command: /opt/thinlinc/lib/tlclient/ssh -N -o GlobalKnownHostsFile=/dev/null -o UserKnownHostsFile=/dev/null -o PubkeyAuthentication=no -o CheckHostIP=no -o NumberOfPasswordPrompts=1 -v cendio@dhcp-253-126 -p 22 thinlinc-login master
> 2017-03-30T12:21:13: SSH pid is 2703
> 2017-03-30T12:21:13: ssh[E]: command-line: line 0: Bad configuration option: checkhostIp
> 2017-03-30T12:21:14: Process 2703 exited with code 255
------- Comment #10 From cendio 2017-03-30 13:03:25 -------
This was fixed upstream in 7.4:

https://bugzilla.mindrot.org/show_bug.cgi?id=2643

Will apply that patch for now.
------- Comment #13 From cendio 2017-04-06 14:37:43 -------
Looks good. The client connects just fine when started like so:

LANG=tr_TR.UTF-8 tlclient

Tested with build 5418.